Returns the number of classes the model was trained with

- « SVMModel::getLabels

- SVMModel::getSvmType »

- PHP Manual
- SVMModel
- Returns the number of classes the model was trained with

# SVMModel::getNrClass

(PECL svm >= 0.1.5)

SVMModel::getNrClass — Returns the number of classes the model was trained with

### Description

public SVMModel::getNrClass(): int

Returns the number of classes the model was trained with, will return 2 for one class and regression models.

### Parameters

This function has no parameters.

### Return Values

Return an integer number of classes